<bugID>218894<Summary>After closing history sidebar, search results remain (but search text does not)</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b) Gecko/20030909 Firebird/0.6.1+
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b) Gecko/20030909 Firebird/0.6.1+

See steps to reproduce / results.

Reproducible: Always

Steps to Reproduce:
1. Open history sidebar
2. Type search phrase in search box
3. Close history sidebar
4. Open history sidebar

Actual Results:  
The search text is erased from the text box, but the results of the previous
search remain in the box.

Expected Results:  
Either keep the search text along with the results or clear the search text and
show all history as if no search had been performed.</Description></bugID>